# $Id$
# Authority: lsn
# Upstream:

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define distro		CentOS 4

Name		: gocr
Version		: 0.40
Release		: 2.el4.lsn

License		: GPL
Summary		: Gocr is an OCR (Optical Character Recognition) program.
Group		: Graphics

URL		: http://jOCR.sourceforge.net/
Vendor		: LandShark Networks
Distribution	: %distro
Packager	: %{myname} %{myemail}

BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0		: http://prdownloads.sourceforge.net/jocr/%{name}-%{version}.tar.gz

Buildarch	: i386

#following packages are not really needed, but recommended
#BuildRequires:  libnetpbm1-devel
#BuildRequires:  gtk+-devel >= 1.2.8
#BuildRequires:  transfig

# set RPM_BUILD_ROOT to /var/tmp/gocr-buildroot , overwritten by .rpmmacros
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
GOCR is an optical character recognition program. 
It reads images in many formats  and outputs a text file.
Possible image formats are pnm, pbm, pgm, ppm, some pcx and
tga image files. Other formats like pnm.gz, pnm.bz2, png, jpg, tiff, gif,
bmp will be automatically converted using the netpbm-progs, gzip and bzip2
via unix pipe.
A simple graphical frontend written in tcl/tk and some
sample files (you need transfig for the sample files) are included.
Gocr is also able to recognize and translate barcodes.
You do not have to train the program or store large font bases.
Simply call gocr from the command line and get your results.


%package -n %{name}-devel
Summary:	Development tools for gocr.
Group:		Development/C

%description -n %{name}-devel
GOCR is an optical character recognition program.
If you want to develop programs which will manipulate gocr, you should 
install gocr-devel.  You'll also need to install the gocr package.


# not tested, what about gocr.tcl ???
%package -n %{name}-gtk
Summary:	Gtk+ frontend for gocr
Group: 		Graphics
Requires:	%{name} = %{version}
BuildRequires:  gtk+-devel >= 1.2.8

%description -n %{name}-gtk
Gtk-gocr is a graphical frontend to GOCR the
optical character recognition program.

Gtk+-based frontend for gocr.

# rpmbuild -bp: unpacking sources and applaying patches
%prep

%define prefix          %{_prefix}
%define _xprefix        /usr/X11R6
%define _xbindir        %{_xprefix}/bin

rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch0 -p1
#%patch1 -p1

# rpmbuild -bc: build, after prep, invokes make
%build
%configure --with-netpbm=no
%{__make}

cd frontend/gnome
[ -e config.cache ] && rm -f config.cache
%configure --prefix=%{_xprefix} --bindir=%{_xbindir}
%{__make}

# rpmbuild -bi: install-stage
%install

%{__make} install DESTDIR=$RPM_BUILD_ROOT

ln -sf gnome/mkinstalldirs frontend/mkinstalldirs
%{__make} -C frontend/gnome install DESTDIR=$RPM_BUILD_ROOT

#%post -n %name-gtk
#%{update_menus}
   
#%postun -n %name-gtk
#%{clean_menus}
   
%clean
rm -rf $RPM_BUILD_ROOT

# rpmbuild -bl: list check, check that every file exists
%files -n %{name}
%defattr(-, root, root)
%doc AUTHORS BUGS CREDITS HISTORY README REMARK.txt TODO
%doc doc/{examples.txt,gocr.html,unicode.txt}
%doc examples/{ex.fig,font2.fig,ocr-a.png,ocr-b.png}
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/*

%files -n %{name}-devel
%defattr(-, root, root)
%doc AUTHORS REVIEW
%{_libdir}/libPgm2asc.a
%{_includedir}/gocr.h

%files -n %{name}-gtk
%defattr(-, root, root)
%doc frontend/gnome/{AUTHORS,README,TODO}
#%{_menudir}/*
#%{_iconsdir}/*
%attr(755,root,root) %{_xbindir}/*

%changelog
* Sat Jan 14 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Initial CentOS 4 build.
